program peterT4;

   type
     Str = String(1000);

   var
     gs: Str;

   procedure Doit( const s: Str );
   begin
     if @s = @gs then begin
       WriteLn( 'OK' );
     end else begin
       WriteLn( 'failed' );
     end;
   end;

begin
   Doit( gs );
end.

